#ifndef _fencer_level_h
#define _fencer_level_h

#include "stdio.h"
#include "behaviour_entity.h"
#include "dictionary.h"

typedef BehaviourEntity(*DeserializeFn)(Dictionary* args);

extern int level_init();
extern int level_clean();

extern int level_register_spawner(const char* object_tag, DeserializeFn spawn_function);

extern int level_parse_file(FILE* level);
extern int level_load_file(const char* path);

#endif // !_fencer_level_h
