#ifndef FIGHT_HURTBOX_H
#define FIGHT_HURTBOX_H

#include "Damagable.h"
#include "behaviour_entity.h"
#include "vmath.h"

typedef struct Hurtbox {
    BehaviourEntity owner;
    DamageEventData damage;
    Vector size;
    Vector offset;
    float depth_extent;
} Hurtbox;

extern int HurtboxCast(Hurtbox* self, float facing_dir, List *out);

#endif // !FIGHT_HURTBOX_H
