#include "Player.h"
#include "Enemy.h"
#include "level.h"
#include "program.h"

static
void play() {
    level_register_spawner("Player", SpawnPlayer);
    level_register_spawner("Enemy", SpawnEnemy);
    level_load_file("assets/test.sc");
}

static
void tick() {}

static
void draw() {}

int main(int argc, char* argv[]) {
    struct ProgramSettings config = {
        .target_fps = 0,
        .title = "fencer",
        .view_resolution = {1920, 1080},
        .on_play = &play,
        .on_tick = &tick,
        .on_draw = &draw
    };
    program_run(&config);
}
